<?php
require'fun.php';
if($meniu['casatorii_virtuale']==0)
{
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest meniu a fost închis de către proprietarul site-ului!<br />Dacă nu ești deacord cu acest aspect, <a href="/trimite-mesaj/la/'.$id_proprietari[0].'-'.seo(nume($id_proprietari[0],1)).'">Trimite-i un mesaj în acest sens</a>!'.$div[0];
require'f_jos.php';
}
require'f_conectare.php';
conectare('starea civilă','starea-civila');
$titlu='Starea civilă';
$back[1]='<a href="/casatorii-virtuale">Căsătorii virtuale</a>';
if($_SERVER['REQUEST_URI']!='/starea-civila')
$back[2]='<a href="/starea-civila">Starea civilă</a>';
require'f_sus.php';
if($go!='')
require'f_mut.php';
echo$div[4].'Starea civilă'.$div[5];
if($go=='trimite-cerere')
{
require'f_blocat.php';
$tip=$_POST['tip']??1;
if($de==$la)
echo$div[7].'Nu-ți poți trimite cerere '.($tip=='1'?'de logodnă':'în căsătorie').', alege-ți alt partener!';
elseif($conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]==$conn->query('SELECT`sex`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0])
echo$div[7].'Tu și membrul '.nume($la).' sunteți de același sex, deci nu-i poți trimite cerere '.($tip=='1'?'de logodnă':'în căsătorie').'!';
elseif($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$de.'"&&`de`="'.$la.'"')->fetch_row()[0]>0)
echo$div[7].'Nu poți trimite cerere '.($tip=='1'?'de logodnă':'în căsătorie').' la '.profil($la).', deoarece te are în lista cu persoane ignorate!';
elseif(blocat($pmtext))
{
$tip='text declarație cerere '.($tip=='1'?'de logodnă':'în căsătorie').' către membrul '.nume($la,1);
$text=$pmtext;
require'f_ban.php';
}
elseif($pmtext=='')
echo$div[7].'Trebuie să scri ceva, nu poți trimite cerere '.($tip=='1'?'de logodnă':'în căsătorie').' care să nu fie însoțită și de o declarație!';
elseif($conn->query('SELECT COUNT(*)FROM`casatorii_virtuale`WHERE(`de`="'.$de.'"||`la`="'.$de.'"||`de`="'.$la.'"||`la`="'.$la.'")&&`citit`>"0"')->fetch_row()[0]>0)
echo$div[7].'Unul dintre voi are deja partener!';
elseif($conn->query('INSERT INTO`casatorii_virtuale`SET`de`="'.$de.'",`la`="'.$la.'",`cerere`="1",`tip`="'.$tip.'",`declaratie`="'.$pmtext.'",`citit`="0"'))
{
require'f_notificare.php';
notificare('ți-am trimis o cerere '.($tip=='1'?'de logodnă':'în căsătorie').', intră la meniul [url=/starea-civila]Starea civilă[/url] pentru a citi declarația mea, și pentru a-mi răspunde acestei cereri!',$la,$de);
echo$div[6].'I-ai trimis cerere '.($tip=='1'?'de logodnă':'în căsătorie').' membrului '.nume($la).', așteaptă să o accepte!';
}
else
echo$div[7].'Eroare în baza de date!';
echo$div[0];
require'f_jos.php';
}
elseif($go=='intrerupe-relatie-virtuala')
{
$me=$conn->query('SELECT`de`,`la`FROM`casatorii_virtuale`WHERE`de`="'.$de.'"')->fetch_row();
$you=$conn->query('SELECT`de`,`la`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"')->fetch_row();
echo$div[10].'Sigur vrei să '.($conn->query('SELECT`tip`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"||`de`="'.$de.'"')->fetch_row()[0]=='1'?'rupi logodna':'divorțezi').' de '.($de==$me[0]?nume($me[1]):'').($de==$you[1]?nume($you[0]):'').'?<br /><a href="/starea-civila/tip/confirma-intrerupere-relatie-virtuala">Da</a><strong> - </strong><a href="/starea-civila">Nu</a>'.$div[0];
require'f_jos.php';
}
elseif($go=='confirma-intrerupere-relatie-virtuala')
{
require'f_notificare.php';
$ice_leg2=$conn->query('SELECT`de`,`la`,`tip`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"||`de`="'.$de.'"')->fetch_row();
notificare('am decis să '.($ice_leg2[2]=='1'?'rup logodna încheiată cu':'divorțez de').' tine, nu am renunțat definitiv la relație, dar relația noastră a pierdut [b]20[/b] de puncte de romantism!',($ice_leg2[0]==$de?$ice_leg2[1]:$ice_leg2[0]),$de);
echo($conn->query('UPDATE`casatorii_virtuale`SET`citit`="-'.$_SERVER['REQUEST_TIME'].'",`divort`="'.$de.'"WHERE`de`="'.$de.'"||`la`="'.$de.'"')&&$conn->query('UPDATE`casatorii_cupluri`SET`citit`="-'.$_SERVER['REQUEST_TIME'].'",`romantism`=romantism-20 WHERE`pid`="'.$conn->query('SELECT`id`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"||`de`="'.$de.'"')->fetch_row()[0].'"')?$div[6].'Ai '.($ice_leg2[2]=='1'?'rupt logodna':'divorțat').' cu succes, dacă te răzgândești poți intra în meniul de căsătorii virtuale, și la Starea civilă poți să îți refaci relația.<br />Din acest motiv, relația voastră a pierdut <strong>20</strong> de puncte de romantism!':$div[7].'Eroare în baza de date!').$div[0];
require'f_jos.php';
}
elseif($go=='refa-relatie-virtuala')
{
$me=$conn->query('SELECT`de`,`la`FROM`casatorii_virtuale`WHERE`de`="'.$de.'"')->fetch_row();
$you=$conn->query('SELECT`de`,`la`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"')->fetch_row();
echo$div[10].'Sigur vrei să reiei '.($conn->query('SELECT`tip`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"||`de`="'.$de.'"')->fetch_row()[0]=='1'?'logodna':'căsătoria').' cu '.($de==$me[0]?nume($me[1]):'').($de==$you[1]?nume($you[0]):'').'?<br /><a href="/starea-civila/tip/confirma-refacere-relatie-virtuala">Da</a><strong> - </strong><a href="/starea-civila">Nu</a>'.$div[0];
require'f_jos.php';
}
elseif($go=='confirma-refacere-relatie-virtuala')
{
require'f_notificare.php';
$ice_leg2=$conn->query('SELECT`de`,`la`,`tip`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"||`de`="'.$de.'"')->fetch_row();
notificare('am decis să reiau relația noastră de '.($ice_leg2[2]=='1'?'logodnă':'căsătorie').' încheiată cu tine, se pare că rugăciunile ți-au fost ascultate! :D',($ice_leg2[0]==$de?$ice_leg2[1]:$ice_leg2[0]),$de);
echo($conn->query('UPDATE`casatorii_virtuale`SET`citit`="'.$_SERVER['REQUEST_TIME'].'",`divort`="0"WHERE`de`="'.$de.'"||`la`="'.$de.'"')&&$conn->query('UPDATE`casatorii_cupluri`SET`citit`="'.$_SERVER['REQUEST_TIME'].'"WHERE`pid`="'.$conn->query('SELECT`id`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"||`de`="'.$de.'"')->fetch_row()[0].'"')?$div[6].'Ai reluat legătura de '.($ice_leg2[2]=='1'?'logodnă':'căsătorie').' cu succes, de data asta încercați să faceți cuplul pe vecie!':$div[7].'Eroare în baza de date!').$div[0];
require'f_jos.php';
}
elseif($go=='incheie-relatie-virtuala')
{
$me=$conn->query('SELECT`de`,`la`FROM`casatorii_virtuale`WHERE`de`="'.$de.'"')->fetch_row();
$you=$conn->query('SELECT`de`,`la`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"')->fetch_row();
echo$div[10].'Sigur vrei să '.($conn->query('SELECT`tip`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"||`de`="'.$de.'"')->fetch_row()[0]=='1'?'rupi logodna':'divorțezi').' definitiv de '.($de==$me[0]?nume($me[1]):'').($de==$you[1]?nume($you[0]):'').'?<br /><a href="/starea-civila/tip/confirma-incheiere-relatie-virtuala">Da</a><strong> - </strong><a href="/starea-civila">Nu</a>'.$div[0];
require'f_jos.php';
}
elseif($go=='confirma-incheiere-relatie-virtuala')
{
require'f_notificare.php';
$ice_leg2=$conn->query('SELECT`de`,`la`,`tip`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"||`de`="'.$de.'"')->fetch_row();
notificare('am decis să '.($ice_leg2[2]=='1'?'rup logodna încheiată cu':'divorțez de').' tine, am renunțat definitiv la relație!',($ice_leg2[0]==$de?$ice_leg2[1]:$ice_leg2[0]),$de);
echo($conn->query('DELETE FROM`casatorii_cupluri`WHERE`pid`="'.$conn->query('SELECT`id`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"||`de`="'.$de.'"')->fetch_row()[0].'"')&&$conn->query('DELETE FROM`casatorii_virtuale`WHERE`de`="'.$de.'"||`la`="'.$de.'"')?$div[6].'Ai '.($ice_leg2[2]=='1'?'rupt logodna':'divorțat').' definitiv cu succes!':$div[7].'Eroare în baza de date!').$div[0];
require'f_jos.php';
}
$casatorii_virtuale=$conn->query('SELECT`de`,`la`,`cerere`,`tip`,`declaratie`,`id`,`citit`FROM`casatorii_virtuale`WHERE`la`="'.$de.'"')->fetch_row();
if($casatorii_virtuale[2]=='1')
{
if($go=='accept')
{
$conn->query('UPDATE`casatorii_virtuale`SET`citit`="'.$_SERVER['REQUEST_TIME'].'",`cerere`="2"WHERE`id`="'.$casatorii_virtuale[5].'"');
$conn->query('INSERT INTO`casatorii_cupluri`SET`pid`="'.$casatorii_virtuale[5].'",`citit`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[6].'Felicitări, '.($casatorii_virtuale[3]=='1'?'logodna':'căsătoria').' ta cu '.nume($casatorii_virtuale[0]).' a fost realizată, vă dorim multă fericire și înțelegere în căsnicia voastră și casă de piatră!'.$div[0];
require'f_notificare.php';
notificare('ți-am acceptat cererea '.($casatorii_virtuale[3]=='1'?'de logodna':'în căsătorie').' trimisă de tine!',$casatorii_virtuale[0],$casatorii_virtuale[1]);
require'f_jos.php';
}
elseif($go=='refuz')
{
$conn->query('DELETE FROM`casatorii_cupluri`WHERE`pid`="'.$casatorii_virtuale[5].'"');
$conn->query('DELETE FROM`casatorii_virtuale`WHERE`id`="'.$casatorii_virtuale[5].'"');
echo$div[6].'Ai refuzat cererea '.($casatorii_virtuale[3]==1?'de logodnă':'în căsătorie').' trimisă de '.nume($casatorii_virtuale[0]).'!'.$div[0];
require'f_notificare.php';
notificare('ți-am respins cererea '.($casatorii_virtuale[3]=='1'?'de logodna':'în căsătorie').' trimisă de tine!',$casatorii_virtuale[0],$casatorii_virtuale[1]);
require'f_jos.php';
}
require'f_filtru.php';
echo$div[10].($casatorii_virtuale[3]=='1'?'Logodnă':'Căsătorie').' între '.nume($casatorii_virtuale[0]).' și '.nume($casatorii_virtuale[1]).'<br />Ești la un singur pas de a te '.($casatorii_virtuale[3]=='1'?'logodi':'căsători').' cu iubirea vieții tale. Tot ceea ce trebuie să faci, este să îți dai acceptul aici declarației ce urmează, declarație trimisă de persoana care a inițiat cererea!<br />Declarație '.nume($casatorii_virtuale[0]).': <strong>'.filtru($casatorii_virtuale[4]).'</strong><br /><img src="'.$domenii_statice[1].'point.gif" alt="!" />ATENTIE '.mb_strtoupper(nume($de,1)).'!<br />Dacă accepți această relație, vă veți putea urmării contracost unul altuia alertele, mesajele, darurile oferite și evenimentele recente de pe acest site, fără ca celălalt să știe dacă unul dintre voi a activat meniul de urmărire!'.$div[0].$div[1].'<a href="/starea-civila/tip/accept">Da, accept</a>'.$div[0].$div[1].'<a href="/starea-civila/tip/refuz">Nu, refuz</a>'.$div[0];
}
else
{
if($conn->query('SELECT COUNT(*)FROM`casatorii_virtuale`WHERE`de`="'.$de.'"||`la`="'.$de.'"')->fetch_row()[0]>0)
{
if($conn->query('SELECT COUNT(*)FROM`casatorii_virtuale`WHERE`de`="'.$de.'"')->fetch_row()[0]>0)
{
$we=$conn->query('SELECT`la`,`citit`,`tip`FROM`casatorii_virtuale`WHERE`de`="'.$de.'"')->fetch_row();
echo$div[1].'Ești într-o relație de '.($we[1]>'0'?($we[2]=='1'?'logodnă':'căsătorie'):($we[2]=='1'?'logodnă ruptă':'divorț')).' cu '.nume($we[0]).'!'.$div[0];
}
if($conn->query('SELECT COUNT(*)FROM`casatorii_virtuale`WHERE`la`="'.$de.'"')->fetch_row()[0]>0)
echo$div[1].'Ești într-o relație de '.($casatorii_virtuale[6]>'0'?($casatorii_virtuale[3]=='1'?'logodnă':'căsătorie'):($casatorii_virtuale[3]=='1'?'logodnă ruptă':'divorț')).' cu '.nume($casatorii_virtuale[1]).'!'.$div[0];
$ice_leg=$conn->query('SELECT`tip`,`citit`,`divort`,`de`,`la`FROM`casatorii_virtuale`WHERE`de`="'.$de.'"||`la`="'.$de.'"')->fetch_row();
$partenerul=($ice_leg[3]==$de?$ice_leg[4]:$ice_leg[3]);
echo$div[1].($ice_leg[1]>'0'?'<a href="/starea-civila/tip/intrerupe-relatie-virtuala">'.($ice_leg[0]=='1'?'Rupe logodna':'Divorțează').' momentan!</a>':($de==$ice_leg[2]?'<a href="/starea-civila/tip/refa-relatie-virtuala">Re'.($ice_leg[0]=='1'?'logod':'căsător').'eștete cu '.nume($partenerul).'!</a>':'Se pare că '.nume($partenerul).' a renunțat momentan la relația voastră de '.($ice_leg[0]=='1'?'logodnă':'căsătorie').', vorbește-i cum nu ai mai făcut-o de mult, și poate că o să se răzgândească, sau poți renunța tu definitiv la relație!')).$div[0].$div[1].'<a href="/starea-civila/tip/incheie-relatie-virtuala">'.($ice_leg[0]=='1'?'Rupe logodna':'Divorțează').' definitiv!</a>'.$div[0];
}
else
{
echo$div[10].'Vrei să ai o relație oficială cu un membru de pe acest site?<br />Nimic mai simplu!<br />Scrie mai jos numele sau identitatea persoanei de sex opus cu care dorești să ai această relație, alege tipul de relație (logodnă sau căsătorie), apoi în funcție de tipul de relație scrie o declarație care să o dea gata pe acea persoană!<br />Trimițând această declarație, confirmi că ești deacord cu relația propusă.<br /><img src="'.$domenii_statice[1].'point.gif" alt="!" />ATENTIE '.mb_strtoupper(nume($de,1)).'!<br />După acceptarea acestei relații, vă veți putea urmării contracost unul altuia alertele, mesajele, darurile oferite și evenimentele recente de pe acest site, fără ca celălalt să știe dacă unul dintre voi a activat meniul de urmărire!'.$div[0];
$form[0]='/starea-civila/tip/trimite-cerere" method="post';
$form[1]=0;
require'f_scris3.php';
$form[2]=$div[1].'Nume sau identitate membru:<br /><input name="la" '.($la>0?'value="'.nume($la,1).'" ':'').'maxlength="33" />'.$div[0].$div[1].'Tip relație:<br />'.scris3('tip','1,,Logodnă::2,,Căsătorie',1).$div[0].$div[1].'Declarație:<br /><input name="pmtext" maxlength="255" />'.$div[0];
$form[3]='la::tip::pmtext';
$form[4]='Trimite cerere';
require'f_form.php';
}
}
require'f_jos.php';